using System.Collections.Generic;

/// <summary>
/// A container, encapsulating Data for a single Research Node.
/// </summary>
public class ResearchNode
{
    /// <summary>
    /// The Nodes unique ID.
    /// </summary>
    public int researchNodeID;

    /// <summary>
    /// The Nodes Display Name.
    /// </summary>
    public string researchNodeName;

    /// <summary>
    /// The Amount of Research Points needed to research this Node.
    /// </summary>
    public int researchNodeCost;

    /// <summary>
    /// The Successor Nodes, which depend on this Node.
    /// </summary>
    public List<ResearchNode> researchNodeUnlockedResearchNodes = new List<ResearchNode>();
}
